<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.admin.mapper.MarketingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.admin.domain.Marketing">
        <id column="id" property="id" />
        <result column="title" property="title" />
        <result column="pic_url" property="picUrl" />
        <result column="real_num" property="realNum" />
        <result column="fake_num" property="fakeNum" />
        <result column="start_time" property="startTime" />
        <result column="end_time" property="endTime" />
        <result column="description" property="description" />
        <result column="is_on" property="isOn" />
        <result column="trigger_status" property="triggerStatus" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="is_deleted" property="isDeleted" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, title, pic_url, real_num, fake_num, start_time, end_time, description, is_on, trigger_status, created_time, updated_time, is_deleted
    </sql>

</mapper>